Package com.independentsoft.office.spreadsheet.pivotTables

# Class SharedItems

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.SharedItems

public class SharedItems extends Object
The Class SharedItems.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharedItems()`
  Instantiates a new shared items.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SharedItems`
  `clone()`
  `int`
  `getCount()`
  Gets the count.
  `Date`
  `getMaximumDateTimeValue()`
  Gets the maximum date time value.
  `double`
  `getMaximumNumericValue()`
  Gets the maximum numeric value.
  `Date`
  `getMinimumDateTimeValue()`
  Gets the minimum date time value.
  `double`
  `getMinimumNumericValue()`
  Gets the minimum numeric value.
  `List<ItemValue>`
  `getValues()`
  Gets the values.
  `boolean`
  `isContainsBlank()`
  Checks if is contains blank.
  `boolean`
  `isContainsDate()`
  Checks if is contains date.
  `boolean`
  `isContainsInteger()`
  Checks if is contains integer.
  `boolean`
  `isContainsLongText()`
  Checks if is contains long text.
  `boolean`
  `isContainsMixedDataTypes()`
  Checks if is contains mixed data types.
  `boolean`
  `isContainsNonDate()`
  Checks if is contains non date.
  `boolean`
  `isContainsNumber()`
  Checks if is contains number.
  `boolean`
  `isContainsSemiMixedDataTypes()`
  Checks if is contains semi mixed data types.
  `boolean`
  `isContainsString()`
  Checks if is contains string.
  `void`
  `setContainsBlank​(boolean containsBlank)`
  Sets the contains blank.
  `void`
  `setContainsDate​(boolean containsDate)`
  Sets the contains date.
  `void`
  `setContainsInteger​(boolean containsInteger)`
  Sets the contains integer.
  `void`
  `setContainsLongText​(boolean containsLongText)`
  Sets the contains long text.
  `void`
  `setContainsMixedDataTypes​(boolean containsMixedDataTypes)`
  Sets the contains mixed data types.
  `void`
  `setContainsNonDate​(boolean containsNonDate)`
  Sets the contains non date.
  `void`
  `setContainsNumber​(boolean containsNumber)`
  Sets the contains number.
  `void`
  `setContainsSemiMixedDataTypes​(boolean containsSemiMixedDataTypes)`
  Sets the contains semi mixed data types.
  `void`
  `setContainsString​(boolean containsString)`
  Sets the contains string.
  `void`
  `setCount​(int count)`
  Sets the count.
  `void`
  `setMaximumDateTimeValue​(Date maximumDateTimeValue)`
  Sets the maximum date time value.
  `void`
  `setMaximumNumericValue​(double maximumNumericValue)`
  Sets the maximum numeric value.
  `void`
  `setMinimumDateTimeValue​(Date minimumDateTimeValue)`
  Sets the minimum date time value.
  `void`
  `setMinimumNumericValue​(double minimumNumericValue)`
  Sets the minimum numeric value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SharedItems

    public SharedItems()
    Instantiates a new shared items.

- ## Method Details

  - ### clone

    public SharedItems clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValues

    public List<ItemValue> getValues()
    Gets the values.
    Returns:
      the values

  - ### isContainsBlank

    public boolean isContainsBlank()
    Checks if is contains blank.
    Returns:
      true, if is contains blank

  - ### setContainsBlank

    public void setContainsBlank​(boolean containsBlank)
    Sets the contains blank.
    Parameters:
      `containsBlank` - the new contains blank

  - ### isContainsDate

    public boolean isContainsDate()
    Checks if is contains date.
    Returns:
      true, if is contains date

  - ### setContainsDate

    public void setContainsDate​(boolean containsDate)
    Sets the contains date.
    Parameters:
      `containsDate` - the new contains date

  - ### isContainsInteger

    public boolean isContainsInteger()
    Checks if is contains integer.
    Returns:
      true, if is contains integer

  - ### setContainsInteger

    public void setContainsInteger​(boolean containsInteger)
    Sets the contains integer.
    Parameters:
      `containsInteger` - the new contains integer

  - ### isContainsMixedDataTypes

    public boolean isContainsMixedDataTypes()
    Checks if is contains mixed data types.
    Returns:
      true, if is contains mixed data types

  - ### setContainsMixedDataTypes

    public void setContainsMixedDataTypes​(boolean containsMixedDataTypes)
    Sets the contains mixed data types.
    Parameters:
      `containsMixedDataTypes` - the new contains mixed data types

  - ### isContainsNonDate

    public boolean isContainsNonDate()
    Checks if is contains non date.
    Returns:
      true, if is contains non date

  - ### setContainsNonDate

    public void setContainsNonDate​(boolean containsNonDate)
    Sets the contains non date.
    Parameters:
      `containsNonDate` - the new contains non date

  - ### isContainsNumber

    public boolean isContainsNumber()
    Checks if is contains number.
    Returns:
      true, if is contains number

  - ### setContainsNumber

    public void setContainsNumber​(boolean containsNumber)
    Sets the contains number.
    Parameters:
      `containsNumber` - the new contains number

  - ### isContainsSemiMixedDataTypes

    public boolean isContainsSemiMixedDataTypes()
    Checks if is contains semi mixed data types.
    Returns:
      true, if is contains semi mixed data types

  - ### setContainsSemiMixedDataTypes

    public void setContainsSemiMixedDataTypes​(boolean containsSemiMixedDataTypes)
    Sets the contains semi mixed data types.
    Parameters:
      `containsSemiMixedDataTypes` - the new contains semi mixed data types

  - ### isContainsString

    public boolean isContainsString()
    Checks if is contains string.
    Returns:
      true, if is contains string

  - ### setContainsString

    public void setContainsString​(boolean containsString)
    Sets the contains string.
    Parameters:
      `containsString` - the new contains string

  - ### getCount

    public int getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### isContainsLongText

    public boolean isContainsLongText()
    Checks if is contains long text.
    Returns:
      true, if is contains long text

  - ### setContainsLongText

    public void setContainsLongText​(boolean containsLongText)
    Sets the contains long text.
    Parameters:
      `containsLongText` - the new contains long text

  - ### getMaximumDateTimeValue

    public Date getMaximumDateTimeValue()
    Gets the maximum date time value.
    Returns:
      the maximum date time value

  - ### setMaximumDateTimeValue

    public void setMaximumDateTimeValue​(Date maximumDateTimeValue)
    Sets the maximum date time value.
    Parameters:
      `maximumDateTimeValue` - the new maximum date time value

  - ### getMaximumNumericValue

    public double getMaximumNumericValue()
    Gets the maximum numeric value.
    Returns:
      the maximum numeric value

  - ### setMaximumNumericValue

    public void setMaximumNumericValue​(double maximumNumericValue)
    Sets the maximum numeric value.
    Parameters:
      `maximumNumericValue` - the new maximum numeric value

  - ### getMinimumDateTimeValue

    public Date getMinimumDateTimeValue()
    Gets the minimum date time value.
    Returns:
      the minimum date time value

  - ### setMinimumDateTimeValue

    public void setMinimumDateTimeValue​(Date minimumDateTimeValue)
    Sets the minimum date time value.
    Parameters:
      `minimumDateTimeValue` - the new minimum date time value

  - ### getMinimumNumericValue

    public double getMinimumNumericValue()
    Gets the minimum numeric value.
    Returns:
      the minimum numeric value

  - ### setMinimumNumericValue

    public void setMinimumNumericValue​(double minimumNumericValue)
    Sets the minimum numeric value.
    Parameters:
      `minimumNumericValue` - the new minimum numeric value